Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.endeca.portal.instrumentation
Enum ProfilerType

    java.lang.Object
      java.lang.Enum<ProfilerType>
          com.endeca.portal.instrumentation.ProfilerType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProfilerType>

    public enum ProfilerType

extends java.lang.Enum<ProfilerType>

enum holding the different types of profiling we support

Author:
  dan

Enum Constant Summary
`DISCOVERY_SERVICE_QUERY` represents an Discovery Service query sent to the engine and satisfied from the engine
`DISCOVERY_SERVICE_QUERY_CACHED` represents a Discovery Service query satisfied from the appserver cache and never sent to the engine
`MDEX_QUERY_CACHED` represents an MDEX Engine query satisfied from the appserver cache and never sent to the engine
`MDEX_QUERY_ENGINE` represents an MDEX Engine query sent to the engine and satisfied from the engine
`PORTLET_EXECUTION` represents a portlet execution, of any PortletMode.

Method Summary
`static ProfilerType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProfilerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PORTLET_EXECUTION

    public static final ProfilerType PORTLET_EXECUTION

  represents a portlet execution, of any PortletMode.

### MDEX_QUERY_CACHED

    public static final ProfilerType MDEX_QUERY_CACHED

  represents an MDEX Engine query satisfied from the appserver cache and never sent to the engine

### MDEX_QUERY_ENGINE

    public static final ProfilerType MDEX_QUERY_ENGINE

  represents an MDEX Engine query sent to the engine and satisfied from the engine

### DISCOVERY_SERVICE_QUERY_CACHED

    public static final ProfilerType DISCOVERY_SERVICE_QUERY_CACHED

  represents a Discovery Service query satisfied from the appserver cache and never sent to the engine

### DISCOVERY_SERVICE_QUERY

    public static final ProfilerType DISCOVERY_SERVICE_QUERY

  represents an Discovery Service query sent to the engine and satisfied from the engine

Method Detail

### values

    public static final ProfilerType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ProfilerType c : ProfilerType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ProfilerType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD